function rid_y0(sidp_parameters, compare_parameters,system,apriori,N)
m=4;
col=['b' 'g' 'r' 'c' 'm'];
n=10;
quality=zeros(1,n+1);
apriori.b0=0;
apriori.P0=10;
y_max=apriori.y0;
figure
for j=1:m;
    q=0;
    apriori.Hc=j-1;
    sidp3(sidp_parameters, compare_parameters,system,apriori);
    for i=0:n
        q=q+1;
        apriori.y0=i*y_max/n;
        los=mc_study(system,apriori,N);
        quality(q)=los(2)/los(3);
    end
    plot((0:n)*y_max/n,quality(1,:),['',col(j)]); hold on
end
xlabel('\fontsize{18} y_0'); ylabel('\fontsize{18} relativní ztráta');
legend('0)','1)','2)','3)');
set( get(gcf, 'Children'), 'FontSize', 18);
end